Subject: [bug#70107] [PATCH 1/3] gnu: Add python-colorthief.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 03 Apr 2024 22:12:13 +0200

Am Dienstag, dem 02.04.2024 um 23:43 -0400 schrieb Maxim Cournoyer:
> Hello!
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > * gnu/packages/python-xyz.scm (python-colorthief): New variable.
> > ---
> >  gnu/packages/python-xyz.scm | 19 +++++++++++++++++++
> >  1 file changed, 19 insertions(+)
> > 
> > diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-
> > xyz.scm
> > index cd10f304c8..ae984c493b 100644
> > --- a/gnu/packages/python-xyz.scm
> > +++ b/gnu/packages/python-xyz.scm
> > @@ -1078,6 +1078,25 @@ (define-public python-colorful
> >  as functions or string constants to form colored terminal
> > output.")
> >      (license license:expat)))
> >  
> > +(define-public python-colorthief
> > +  (package
> > +    (name "python-colorthief")
> > +    (version "0.2.1")
> > +    (source
> > +     (origin
> > +       (method url-fetch)
> > +       (uri (pypi-uri "colorthief" version))
> > +       (sha256
> > +        (base32
> > "08bjsmmkihyksms2vgndslln02rvw56lkxz28d39qrnxbg4v1707"))))
> > +    (build-system pyproject-build-system)
> > +    (propagated-inputs (list python-pillow))
> > +    (home-page "https://github.com/fengsp/color-thief-py")
> > +    (synopsis "Grab the color palette from an image.")
> 
> There should be no period in the synopsis ('guix lint' is a useful
> reminder of that).
> 
> > +    (description
> > +     "This package provides a module for grabbing the color
> > palette from an
> > +image.")
> 
> I haven't read the upstream description of the package, but if they
> have something more to say, I think the description could be a little
> bit more descriptive :-).
Well, they don't, but I've locally expanded it to
"This package provides methods to determine the dominant color
of an image, as well as constructing a representative color palette."

WDYT?